<!--<section class="content-header">-->
<!--  <div class="container-fluid">-->
<!--    <div class="row mb-2">-->
<!--      <div class="col-sm-6">-->
<!--        <h1>My Profile</h1>-->
<!--      </div>-->
<!--      <div class="col-sm-6">-->
<!--        <ol class="breadcrumb float-sm-right">-->
<!--          <li class="breadcrumb-item"><a style="color: dodgerblue">Profile</a></li>-->
<!--          <li class="breadcrumb-item active">My Profile</li>-->
<!--        </ol>-->
<!--      </div>-->
<!--    </div>-->
<!--  </div>&lt;!&ndash; /.container-fluid &ndash;&gt;-->
<!--</section>-->
<!--&lt;!&ndash; new temp &ndash;&gt;-->

<div class="content">
  <div class="main-body">

    <!-- Breadcrumb -->
<!--    <nav aria-label="breadcrumb" class="main-breadcrumb">-->
<!--      <ol class="breadcrumb">-->
<!--        <li class="breadcrumb-item"><a href="index.html">Home</a></li>-->
<!--        <li class="breadcrumb-item"><a href="javascript:void(0)">User</a></li>-->
<!--        <li class="breadcrumb-item active" aria-current="page">User Profile</li>-->
<!--      </ol>-->
<!--    </nav>-->
    <!-- /Breadcrumb -->

    <div class="row gutters-sm">
      <div class="col-md-4 mb-3">
        <div class="card">

          <div class="card-body">

            <div class="d-flex flex-column align-items-center text-center">
              <img [src]="retrievedImage"  class="d-flex mr-3 rounded-circle img-thumbnail thumb-lg bg-primary" width="110">

              <!--              <app-specific-avatarcard-photo [id]="idU"></app-specific-avatarcard-photo>-->
              <div class="mt-3">
                <span data-toggle="modal" data-target="#modal-pic" class="navbar-badge">
                  <i class="fas fa-camera"></i>
                </span>


                <h4>{{ user.firstName | uppercase}} {{ user.lastName | uppercase}}</h4>

                <ng-template #t let-fill="fill">
  <span class="star" [class.full]="fill === 100">
    <span class="half" [style.width.%]="fill">&#9733;</span>&#9733;
  </span>
                </ng-template>

                <ngb-rating *ngIf="showAvatarBoard" [(rate)]="user.rating" [starTemplate]="t" [readonly]="true" [max]="5"></ngb-rating>

                 <p class="text-secondary mb-1">{{user.profession}}</p>
                <p class="text-muted font-size-sm" *ngIf="(user.city!=null || user.city!=null)">{{ user.city | titlecase}},{{ user.country | titlecase}}</p>
<!--                <button class="btn btn-primary">Follow</button>-->
                <button hidden class="btn btn-outline-primary">Message</button>
              </div>
            </div>
          </div>
        </div>
        <div class="card mt-3">
          <ul class="list-group list-group-flush">
<!--            *ngIf="user.website!=null"-->
            <li  *ngIf="user.website!=null" class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
              <h3 class="mb-0"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-globe mr-2 icon-inline"><circle cx="12" cy="12" r="10"></circle><line x1="2" y1="12" x2="22" y2="12"></line><path d="M12 2a15.3 15.3 0 0 1 4 10 15.3 15.3 0 0 1-4 10 15.3 15.3 0 0 1-4-10 15.3 15.3 0 0 1 4-10z"></path></svg>Website</h3>
              <span (click)="gotoWebsite()" class="text-secondary"><i class="fas fa-link"></i>
              </span>
            </li>
            <li *ngIf="user.git!=null" class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
              <h3 class="mb-0"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-github mr-2 icon-inline"><path d="M9 19c-5 1.5-5-2.5-7-3m14 6v-3.87a3.37 3.37 0 0 0-.94-2.61c3.14-.35 6.44-1.54 6.44-7A5.44 5.44 0 0 0 20 4.77 5.07 5.07 0 0 0 19.91 1S18.73.65 16 2.48a13.38 13.38 0 0 0-7 0C6.27.65 5.09 1 5.09 1A5.07 5.07 0 0 0 5 4.77a5.44 5.44 0 0 0-1.5 3.78c0 5.42 3.3 6.61 6.44 7A3.37 3.37 0 0 0 9 18.13V22"></path></svg>Github</h3>
              <span (click)="gotoGit()" class="text-secondary"><i class="fas fa-link"></i>
              </span>
            </li>
<!--            <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">-->
<!--              <h3 class="mb-0"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-twitter mr-2 icon-inline text-info"><path d="M23 3a10.9 10.9 0 0 1-3.14 1.53 4.48 4.48 0 0 0-7.86 3v1A10.66 10.66 0 0 1 3 4s-4 9 5 13a11.64 11.64 0 0 1-7 2c9 5 20 0 20-11.5a4.5 4.5 0 0 0-.08-.83A7.72 7.72 0 0 0 23 3z"></path></svg>Twitter</h3>-->
<!--              <span class="text-secondary">@bootdey</span>-->
<!--            </li>-->
<!--            <li class="list-group-item d-flex justify-content-between align-items-center flex-wrap">-->
<!--              <h3 class="mb-0"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-instagram mr-2 icon-inline text-danger"><rect x="2" y="2" width="20" height="20" rx="5" ry="5"></rect><path d="M16 11.37A4 4 0 1 1 12.63 8 4 4 0 0 1 16 11.37z"></path><line x1="17.5" y1="6.5" x2="17.51" y2="6.5"></line></svg>Instagram</h3>-->
<!--              <span class="text-secondary">bootdey</span>-->
<!--            </li>-->
            <li *ngIf="user.facebook!=null" class="list-group-item d-flex justify-content-between align-items-center flex-wrap">
              <h3 class="mb-0"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-facebook mr-2 icon-inline text-primary"><path d="M18 2h-3a5 5 0 0 0-5 5v3H7v4h3v8h4v-8h3l1-4h-4V7a1 1 0 0 1 1-1h3z"></path></svg>Facebook</h3>
              <span (click)="gotoFB()" class="text-secondary"><i class="fas fa-link"></i>
              </span>
            </li>
          </ul>
        </div>
      </div>
      <div class="col-md-8">
        <div class="card mb-3">
          <form role="form">
          <div class="card-body">
            <div class="row">
              <div class="col-sm-3">
                <h3 class="mb-0">Full Name</h3>
              </div>
              <div [hidden]="editOn" class="col-sm-9 text-secondary">
                {{ user.firstName | titlecase}} {{ user.lastName | titlecase}}
              </div>
              <div [hidden]="!editOn" class="col-sm-9 row text-secondary">

                <input type="text" class="form-control col-sm-5" [(ngModel)]="updateduser.firstName" [ngModelOptions]="{standalone: true}">
                <input type="text" class="form-control col-sm-6" [(ngModel)]="updateduser.lastName" [ngModelOptions]="{standalone: true}" style="margin-left: 7px">

              </div>

            </div>
            <hr>
            <div class="row">
              <div class="col-sm-3">
                <h3 class="mb-0">Email</h3>
              </div>
              <div [hidden]="editOn" class="col-sm-9 text-secondary">
                {{ user.email}}
              </div>
              <div [hidden]="!editOn" class="col-sm-9 row text-secondary">
                <input type="text" class="form-control col-sm-11" [(ngModel)]="updateduser.email" [ngModelOptions]="{standalone: true}">
              </div>
            </div>
            <hr>
            <div class="row">
              <div class="col-sm-3">
                <h3 class="mb-0">Phone</h3>
              </div>
              <div [hidden]="editOn" class="col-sm-9 text-secondary">
                {{user.tel}}
              </div>
              <div [hidden]="!editOn" class="col-sm-9 row text-secondary">
                <input type="text" class="form-control col-sm-11" [(ngModel)]="updateduser.tel" [ngModelOptions]="{standalone: true}">
              </div>
            </div>

            <hr>
            <div class="row">
              <div class="col-sm-3">
                <h3 class="mb-0">Address</h3>
              </div>
              <div [hidden]="editOn" class="col-sm-9 text-secondary">
                {{user.address}}
              </div>
              <div [hidden]="!editOn" class="col-sm-9 row text-secondary">
                <input type="text" class="form-control col-sm-11" [(ngModel)]="updateduser.address" [ngModelOptions]="{standalone: true}">
              </div>
            </div>
            <hr>
            <div class="row">
              <div class="col-sm-3">
                <h3 class="mb-0">Country</h3>
              </div>
              <div [hidden]="editOn" class="col-sm-9 text-secondary">
                {{user.country}}
              </div>
              <div [hidden]="!editOn" class="col-sm-9 row text-secondary">
<!--                <input type="text" class="form-control col-sm-11" [(ngModel)]="updateduser.country" [ngModelOptions]="{standalone: true}">-->
                <select class="form-control col-sm-11" id="country" c [(ngModel)]="updateduser.country" (ngModelChange)="onChange($event)" [ngModelOptions]="{standalone: true}">
                  <option [disabled]="true" [selected]="true">Choose A Country</option>
                  <option *ngFor="let c of Countries">{{c.name}}</option>

                </select>
              </div>
            </div>
            <hr>
            <div class="row">
              <div class="col-sm-3">
                <h3 class="mb-0">Region</h3>
              </div>
              <div [hidden]="editOn" class="col-sm-9 text-secondary">
                {{user.city }}
              </div>
              <div [hidden]="!editOn" class="col-sm-9 row text-secondary">
<!--                <input type="text" class="form-control col-sm-11" [(ngModel)]="updateduser.city" [ngModelOptions]="{standalone: true}">-->
                <select class="form-control col-sm-11" id="regions" [(ngModel)]="updateduser.city" [ngModelOptions]="{standalone: true}">
                  <option [disabled]="true" selected="true">Choose A Region</option>
                  <option *ngFor="let c of Regions" [selected]="isUserCity(c.name)" >{{c.name}}</option>

                </select>
              </div>
            </div>
            <hr>
            <div hidden class="row">
              <div class="col-sm-3">
                <h3 class="mb-0">Languages</h3>
              </div>
              <div [hidden]="editOn" class="col-sm-9 text-secondary">
                {{user.languages}}
              </div>
              <div [hidden]="!editOn" class="col-sm-9 row text-secondary">
                <input type="text" class="form-control col-sm-11" [(ngModel)]="updateduser.languages" [ngModelOptions]="{standalone: true}">
              </div>
            </div>
            <hr [hidden]="editOn">
<!--            ekher langages-->
            <hr [hidden]="!editOn">
            <div [hidden]="!editOn" class="row">
              <div class="col-sm-3">
                <h3 class="mb-0">Profession</h3>
              </div>
              <div [hidden]="!editOn" class="col-sm-9 row text-secondary">
                <input type="text" class="form-control col-sm-11" [(ngModel)]="updateduser.profession" [ngModelOptions]="{standalone: true}">
              </div>
            </div>


            <hr [hidden]="!editOn">
            <div [hidden]="!editOn" class="row">
              <div class="col-sm-3">
                <h3 class="mb-0">Website</h3>
              </div>
              <div [hidden]="!editOn" class="col-sm-9 row text-secondary">
                <input type="text" class="form-control col-sm-11" [(ngModel)]="updateduser.website" [ngModelOptions]="{standalone: true}">
              </div>
            </div>
            <hr [hidden]="!editOn">

            <div [hidden]="!editOn" class="row">
              <div class="col-sm-3">
                <h3 class="mb-0">Github</h3>
              </div>
              <div [hidden]="!editOn" class="col-sm-9 row text-secondary">
                <input type="text" class="form-control col-sm-11" [(ngModel)]="updateduser.git" [ngModelOptions]="{standalone: true}">
              </div>
            </div>
            <hr [hidden]="!editOn">

            <div [hidden]="!editOn" class="row">
              <div class="col-sm-3">
                <h3 class="mb-0">Facebook</h3>
              </div>
              <div [hidden]="!editOn" class="col-sm-9 row text-secondary">
                <input type="text" class="form-control col-sm-11" [(ngModel)]="updateduser.facebook" [ngModelOptions]="{standalone: true}">
              </div>
            </div>
            <hr [hidden]="!editOn">




            <div class="row">
              <div class="col-sm-12">
<!--                <button  (click)="edit()" [hidden]="editOn" class="btn btn-primary">Edit</button>-->
<!--                <button  (click)="cancel()" [hidden]="!editOn" class="btn btn-primary">Cancel</button>-->
<!--                <button  (click)="edit()" [hidden]="editOn" class="btn btn-outline-primary">Edit</button>-->
                <button  (click)="cancel()" [hidden]="!editOn" class="btn btn-default far fa-caret-square-left"></button>

                <button  (click)="onSubmit()" [hidden]="!editOn" class="btn btn-primary far fa-save"></button>

                <a class="btn btn-primary" (click)="edit()" [hidden]="editOn"><i class="fas fa-edit" style="color: white"></i></a>
              </div>
            </div>
          </div>
          </form>
        </div>

        <div class="row gutters-sm" hidden>
          <div class="col-sm-6 mb-3">
            <div class="card h-100">
              <div class="card-body">
                <h3 class="d-flex align-items-center mb-3"><i class="material-icons text-primary mr-2">portrait</i>About Me</h3>
                <small>Web Design</small>
                <div class="progress mb-3" style="height: 5px">
                  <div class="progress-bar bg-primary" role="progressbar" style="width: 80%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <small>Website Markup</small>
                <div class="progress mb-3" style="height: 5px">
                  <div class="progress-bar bg-primary" role="progressbar" style="width: 72%" aria-valuenow="72" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <small>One Page</small>
                <div class="progress mb-3" style="height: 5px">
                  <div class="progress-bar bg-primary" role="progressbar" style="width: 89%" aria-valuenow="89" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <small>Mobile Template</small>
                <div class="progress mb-3" style="height: 5px">
                  <div class="progress-bar bg-primary" role="progressbar" style="width: 55%" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <small>Backend API</small>
                <div class="progress mb-3" style="height: 5px">
                  <div class="progress-bar bg-primary" role="progressbar" style="width: 66%" aria-valuenow="66" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
              </div>
            </div>
          </div>
          <div class="col-sm-6 mb-3">
            <div class="card h-100">
              <div class="card-body">
                <h3 class="d-flex align-items-center mb-3"><i class="material-icons text-info mr-2">assignment</i>Project Status</h3>
                <small>Web Design</small>
                <div class="progress mb-3" style="height: 5px">
                  <div class="progress-bar bg-primary" role="progressbar" style="width: 80%" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <small>Website Markup</small>
                <div class="progress mb-3" style="height: 5px">
                  <div class="progress-bar bg-primary" role="progressbar" style="width: 72%" aria-valuenow="72" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <small>One Page</small>
                <div class="progress mb-3" style="height: 5px">
                  <div class="progress-bar bg-primary" role="progressbar" style="width: 89%" aria-valuenow="89" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <small>Mobile Template</small>
                <div class="progress mb-3" style="height: 5px">
                  <div class="progress-bar bg-primary" role="progressbar" style="width: 55%" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <small>Backend API</small>
                <div class="progress mb-3" style="height: 5px">
                  <div class="progress-bar bg-primary" role="progressbar" style="width: 66%" aria-valuenow="66" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal fade" id="modal-default">
          <div class="modal-dialog">
            <div class="modal-content">

              <div class="modal-body">

                <app-profile-update></app-profile-update>
              </div>

            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
        <div class="modal fade" id="modal-pic">
          <div class="modal-dialog">
            <div class="modal-content">

              <div class="modal-body">

                <app-photo></app-photo>
              </div>

            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>


      </div>
    </div>

  </div>
</div>





<!--&lt;!&ndash; Main content &ndash;&gt;-->
<!--<section class="content">-->
<!--  <div class="container-fluid">-->
<!--    <div class="row">-->
<!--      <div class="col-md-3">-->

<!--        &lt;!&ndash; Profile Image &ndash;&gt;-->
<!--        <div class="card card-primary card-outline">-->
<!--          <div class="card-body box-profile">-->
<!--          <div class="align-content-center">-->
<!--            <div class="text-center">-->
<!--              <img class="profile-user-img img-fluid img-circle" [src]="retrievedImage" alt="User profile picture">-->


<!--            </div>-->
<!--          </div>-->

<!--            <h3 class="profile-username text-center">{{ currentUser.username }}-->
<!--              <i  class="far fa-image" data-toggle="modal" data-target="#modal-pic" >-->

<!--              </i>-->
<!--            </h3>-->


<!--            <p class="text-muted text-center"  *ngFor="let role of currentUser.roles">-->
<!--            {{ role }}-->
<!--          </p>-->

<!--            <ul class="list-group list-group-unbordered mb-3">-->
<!--              <li class="list-group-item">-->
<!--                <b>Followers</b> <a class="float-right">1,322</a>-->
<!--              </li>-->
<!--              <li class="list-group-item">-->
<!--                <b>Following</b> <a class="float-right">543</a>-->
<!--              </li>-->
<!--              <li class="list-group-item">-->
<!--                <b>Friends</b> <a class="float-right">13,287</a>-->
<!--              </li>-->
<!--            </ul>-->

<!--            <a href="#" class="btn btn-primary btn-block"><b>Follow</b></a>-->
<!--          </div>-->
<!--          &lt;!&ndash; /.card-body &ndash;&gt;-->
<!--        </div>-->
<!--        &lt;!&ndash; /.card &ndash;&gt;-->


<!--      </div>-->
<!--      &lt;!&ndash; /.col &ndash;&gt;-->
<!--      <div class="col-md-9">-->


<!--            &lt;!&ndash; Main content &ndash;&gt;-->
<!--            <section class="content">-->
<!--              <div class="container-fluid">-->
<!--                <div class="row">-->
<!--                  <div class="col-md-12">-->
<!--                    <div class="card card-primary card-outline">-->

<!--                      <div class="card-body">-->
<!--                        <div class="container" *ngIf="currentUser; else loggedOut">-->
<!--                          <header class="jumbotron">-->
<!--                            <h3>-->
<!--                              <strong>{{ currentUser.username }}</strong> Profile-->
<!--                              <button type="button" class="btn btn-primary fas fa-edit" data-toggle="modal" data-target="#modal-default" >-->

<!--                              </button>-->

<!--                            </h3>-->

<!--&lt;!&ndash;                            <button type="button" class="btn btn-primary fas fa-edit" data-toggle="modal" data-target="#modal-default" >&ndash;&gt;-->

<!--&lt;!&ndash;                            </button>&ndash;&gt;-->



<!--                          </header>-->


<!--                          <p>-->
<!--                            <strong>FirstName :</strong>-->
<!--                            {{ user.firstName}}-->
<!--                          </p>-->
<!--                          <p>-->
<!--                            <strong>LastName :</strong>-->
<!--                            {{ user.lastName }}-->
<!--                          </p>-->

<!--                          <p>-->
<!--                            <strong>Address :</strong>-->
<!--                            {{ user.address }}-->
<!--                          </p>-->
<!--                          <p>-->
<!--                            <strong>Phone Number :</strong>-->
<!--                            {{ user.tel }}-->
<!--                          </p>-->
<!--                          <p>-->
<!--                            <strong>Date of Birth :</strong>-->
<!--                            {{ user.dateofBirth }}-->
<!--                          </p>-->

<!--                          <p>-->
<!--                            <strong>Email :</strong>-->
<!--                            {{ currentUser.email }}-->
<!--                          </p>-->
<!--                          <strong>Roles :</strong>-->
<!--                          <ul>-->
<!--                            <li *ngFor="let role of currentUser.roles">-->
<!--                              {{ role }}-->
<!--                            </li>-->
<!--                          </ul>-->
<!--                          <p>-->
<!--                            <strong>Token :</strong>-->
<!--                            {{ currentUser.accessToken.substring(0, 20) }} ...-->
<!--                            {{ currentUser.accessToken.substr(currentUser.accessToken.length - 20) }}-->
<!--                          </p>-->
<!--                        </div>-->





<!--                      </div>-->
<!--                      &lt;!&ndash; /.card &ndash;&gt;-->
<!--                    </div>-->






<!--                  </div>-->
<!--                  &lt;!&ndash; /.col &ndash;&gt;-->
<!--                </div>-->
<!--                &lt;!&ndash; ./row &ndash;&gt;-->
<!--              </div>&lt;!&ndash; /.container-fluid &ndash;&gt;-->

<!--              <div class="modal fade" id="modal-default">-->
<!--                <div class="modal-dialog">-->
<!--                  <div class="modal-content">-->

<!--                    <div class="modal-body">-->

<!--                      <app-profile-update></app-profile-update>-->
<!--                    </div>-->

<!--                  </div>-->
<!--                  &lt;!&ndash; /.modal-content &ndash;&gt;-->
<!--                </div>-->
<!--                &lt;!&ndash; /.modal-dialog &ndash;&gt;-->
<!--              </div>-->
<!--              <div class="modal fade" id="modal-pic">-->
<!--                <div class="modal-dialog">-->
<!--                  <div class="modal-content">-->

<!--                    <div class="modal-body">-->

<!--                      <app-photo></app-photo>-->
<!--                    </div>-->

<!--                  </div>-->
<!--                  &lt;!&ndash; /.modal-content &ndash;&gt;-->
<!--                </div>-->
<!--                &lt;!&ndash; /.modal-dialog &ndash;&gt;-->
<!--              </div>-->



<!--            </section>-->

<!--            <ng-template #loggedOut>-->
<!--              Please login.-->
<!--            </ng-template>-->


<!--      </div>-->
<!--      &lt;!&ndash; /.col &ndash;&gt;-->
<!--    </div>-->
<!--    &lt;!&ndash; /.row &ndash;&gt;-->
<!--  </div>&lt;!&ndash; /.container-fluid &ndash;&gt;-->
<!--</section>-->
<!--&lt;!&ndash; /.content &ndash;&gt;-->

